summaryrefslogtreecommitdiff
path: root/test/integration/test-bug-990555-https-proxy-for-http
diff options
context:
space:
mode:
authorJulian Andres Klode <jak@debian.org>2021-10-18 13:37:09 +0000
committerJulian Andres Klode <jak@debian.org>2021-10-18 13:37:09 +0000
commit76bd0ab589f5a577bd6127bf6487fd351de5b32a (patch)
treea1d191fcb07118428a09e92bd29827e3af622bf6 /test/integration/test-bug-990555-https-proxy-for-http
parentf6b08c78dcdda1734710a5ef01553f53ceb5c52e (diff)
parent4e04cbafe7db326b52ee650a4f4ccc3444da6890 (diff)
Merge branch 'fix/file-https-proxy' into 'main'
Fix file:/// vs file:/ hang & https-proxy for http See merge request apt-team/apt!187
Diffstat (limited to 'test/integration/test-bug-990555-https-proxy-for-http')
-rwxr-xr-xtest/integration/test-bug-990555-https-proxy-for-http37
1 files changed, 37 insertions, 0 deletions
diff --git a/test/integration/test-bug-990555-https-proxy-for-http b/test/integration/test-bug-990555-https-proxy-for-http
new file mode 100755
index 000000000..f43abfd92
--- /dev/null
+++ b/test/integration/test-bug-990555-https-proxy-for-http
@@ -0,0 +1,37 @@
+#!/bin/sh
+set -e
+
+TESTDIR="$(readlink -f "$(dirname "$0")")"
+. "$TESTDIR/framework"
+setupenvironment
+configarchitecture 'amd64'
+
+buildsimplenativepackage 'unrelated' 'all' '1' 'unstable'
+
+setupaptarchive --no-update
+changetowebserver --request-absolute='uri'
+changetohttpswebserver --no-rewrite
+
+msgtest 'Check that non-absolute paths are' 'not accepted'
+testfailure --nomsg aptget update --allow-insecure-repositories
+
+echo "Acquire::http::Proxy \"https://localhost:${APTHTTPSPORT}\";" > rootdir/etc/apt/apt.conf.d/99proxy
+
+msgtest 'Check that requests to https proxies' 'work from http'
+testsuccess --nomsg aptget update
+
+testsuccessequal 'Reading package lists...
+Building dependency tree...
+The following NEW packages will be installed:
+ unrelated
+0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
+Inst unrelated (1 unstable [all])
+Conf unrelated (1 unstable [all])' apt install unrelated -s
+
+testsuccess apt download unrelated --print-uris
+testfailure grep 'https:' rootdir/tmp/testsuccess.output
+
+cd downloaded
+testsuccess apt download unrelated
+testsuccess test -s 'unrelated_1_all.deb'
+cd ..